GET /v1/worktypes

visma.com

Summary: Get all work types.
Operation ID: WorkTypes_GetWorkTypes
Auth: unknown

Parameters (9)

active (boolean, query, optional)

Filter the work types. If true/false, only the active/inactive ones are returned. If null, all the work types are returned.

calculateRowCount (boolean, query, optional, default: False)

Optional: Calculate total number of rows.

changedSince (string, query, optional)

Optional: Get work types that have been added or changed after this date time (greater or equal).

code (string, query, optional)

Optional: Code of the work type.

firstRow (integer, query, optional, default: 0)

Optional: first row to fetch. Default 0 = first row.

productive (boolean, query, optional)

Filter the work types. If true/false, only the productive/non-productive ones are returned. If null, all the work types are returned.

rowCount (integer, query, optional)

Optional: How many rows to fetch, Default 20, maximum 100.

sortings (array, query, optional)

Optional: A list of Key-Value pairs, containing names of fields and directions by which the results should be sorted. Any sortable field name (submodel fields not supported) in the model can be used, while value can be "Desc" or "Asc". Example: "?sortings[0].key=name&sortings[0].value=Asc".

textToSearch (string, query, optional)

Optional: Text to search from work type name or code.

No probe data for this endpoint yet.